## osso-wlan-dev 1.0.13

=== Makefile ===
SRC = ./
DESTDIR =
INCLUDEDIR = $(DESTDIR)/usr/include

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)

INSTALL_INCLUDES = wlancond-dbus.h wlancond.h eap-dbus.h

all:

install:
	$(INSTALL_PROGRAM) -d $(INCLUDEDIR)
	$(INSTALL_PROGRAM) -m644 $(INSTALL_INCLUDES) $(INCLUDEDIR)

clean:
	$(RM) *~

## osso-wlan-dev 1.0.10

=== debian/changelog ===
osso-wlan-dev (1.0.10) unstable; urgency=low

  * Added unsupported network to scan API 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 08 Jun 2007 11:42:37 +0300

osso-wlan-dev (1.0.9) unstable; urgency=low

  * Added powersave to API 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 05 Jun 2007 11:16:34 +0300

osso-wlan-dev (1.0.8) unstable; urgency=low

  * Removed IE_NOT_VALID error since it is obsolete now 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 15 Dec 2006 14:55:00 +0200

osso-wlan-dev (1.0.7) unstable; urgency=low

  * fixes: Bug#31729 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon,  5 Jun 2006 09:42:24 +0300

osso-wlan-dev (1.0.6) unstable; urgency=low

  * change#1 Fixed lintian warning from file permissions 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 21 Apr 2006 11:38:18 +0300

osso-wlan-dev (1.0.5) unstable; urgency=low

  *  fixes: Bug#26106

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 18 Apr 2006 11:26:03 +0300

osso-wlan-dev (1.0.4) unstable; urgency=low

  * Changed license texts

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 29 Mar 2006 10:46:13 +0300

osso-wlan-dev (1.0.3) unstable; urgency=low

  * Removed key setting interface and EAP start signal

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 31 Jan 2006 12:48:03 +0200

osso-wlan-dev (1.0.2) unstable; urgency=low

  * Added ignore_cover method to wlancond 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu,  5 Jan 2006 09:52:05 +0200

osso-wlan-dev (1.0.1) unstable; urgency=low

  * Corrected EAP IAP length to reasonable value

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 21 Dec 2005 09:51:46 +0200

osso-wlan-dev (1.0) unstable; urgency=low

  * Corrected version number to reasonable 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 30 Nov 2005 10:48:48 +0200

osso-wlan-dev (0.1) unstable; urgency=low

  * Initial release

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 29 Nov 2005 11:58:11 +0200

=== debian/control ===
Source: osso-wlan-dev
Section: net
Priority: optional
Maintainer: Janne Ylalehto <janne.ylalehto@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: osso-wlan-dev
Architecture: all
Provides: osso-wlan-security-dev
Replaces: osso-wlan-security-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  Header files for WLAN connectivity
 This package contains some header files which may be helpful when developing
 applications that use the D-BUS interface for wlan connectivity.

## osso-wlan-dev 1.0.13

=== debian/changelog ===
osso-wlan-dev (1.0.13) unstable; urgency=low

  * Remove obsolete defines 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 27 Feb 2008 09:51:28 +0200

osso-wlan-dev (1.0.12) unstable; urgency=low

  * Add NAI update request 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Wed, 03 Oct 2007 13:32:32 +0300

osso-wlan-dev (1.0.11) unstable; urgency=low

  * Add new interface DBUS API 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 20 Sep 2007 13:55:17 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Janne Ylalehto <janne.ylalehto@nokia.com>
 Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: osso-wlan-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/osso-wlan-dev.sgml > osso-wlan-dev.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osso-wlan-dev.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/osso-wlan-dev


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## osso-wlan-dev 1.0.20+0m5

=== debian/changelog ===
osso-wlan-dev (1.0.20+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mika Linnanoja <mika.linnanoja@nokia.com>  Thu, 28 May 2009 10:11:48 +0300

osso-wlan-dev (1.0.20) unstable; urgency=low

  * Add new signal, registrar_error, for WPS. 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Mon, 25 May 2009 14:15:50 +0300

osso-wlan-dev (1.0.19) unstable; urgency=low

  * Add new methods to the wlancond and eapd DBUS APIs 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 07 Oct 2008 14:06:00 +0300

osso-wlan-dev (1.0.18) unstable; urgency=low

  * Add new rates to DBUS API

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 19 Aug 2008 15:04:28 +0300

osso-wlan-dev (1.0.17) unstable; urgency=low

  * Add authentication type defines 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 16 May 2008 10:36:27 +0300

osso-wlan-dev (1.0.16) unstable; urgency=low

  * Add protected setup signals 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Fri, 09 May 2008 13:37:41 +0300

osso-wlan-dev (1.0.15) unstable; urgency=low

  * Add protected setup methods 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 22 Apr 2008 15:44:59 +0300

osso-wlan-dev (1.0.14) unstable; urgency=low

  * Add protected setup support 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 27 Mar 2008 11:13:37 +0200

## osso-wlan-dev 1.0.21%2b0m5

=== debian/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description:  Header files for WLAN connectivity
  This package contains some header files which may be helpful when developing
- applications that use the D-BUS interface for wlan connectivity.
+ applications that use the D-Bus interface for wlan connectivity.

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## osso-wlan-dev 1.0.21+0m5

=== debian/changelog ===
osso-wlan-dev (1.0.21+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mika Linnanoja <mika.linnanoja@nokia.com>  Tue, 27 Oct 2009 09:51:27 +0200

osso-wlan-dev (1.0.21) unstable; urgency=low

  * Fixes: NB#128044 - Connection drop in WLAN certification test with
    powersave

 -- Sami Enne <ext-sami.o.enne@nokia.com>  Fri, 02 Oct 2009 11:48:32 +0300

## osso-wlan-dev 1.0.22+0m5

=== debian/changelog ===
osso-wlan-dev (1.0.22+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Antti Julku <ext-antti.julku@nokia.com>  Tue, 08 Dec 2009 14:30:25 +0200

osso-wlan-dev (1.0.22) unstable; urgency=low

  * Fixes: NB#142549 - The device should not autoconnect too weak WLAN 

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Thu, 19 Nov 2009 08:46:46 +0200
